# Find receive request by ID

`GET https://api.strike.me/v1/receive-requests/{receiveRequestId}`

Source: https://docs.strike.me/api/find-receive-request-by-id/

---

Required scopes:

- partner.receive-request.read

## Path parameters

- `receiveRequestId` (uuid, required): Receive request ID.

## Responses

### 200 OK

`application/json`

- `receiveRequestId` (uuid, required): ID of the receive request.
- `created` (date-time, required): Time of receive request creation.
- `targetCurrency` (string): Currency to which each receive for this request will be converted. Conversion will be done using the current exchange rate at the time of the receive. The amount credited can be different from the requested amount due to exchange rate fluctuations. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `bolt11` (object): Bolt11 receive request.
  - `invoice` (string, required): BOLT 11 lightning invoice.
  - `requestedAmount` (object): Requested invoice amount.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `btcAmount` (string): Invoice amount in BTC. This is a requested amount converted to BTC based on the current exchange rate. If the requested amount is already in BTC the values will be the same.
  - `description` (string): Invoice description.
  - `descriptionHash` (string): Invoice description hash hex string.
  - `paymentHash` (string, required): Invoice payment hash hex string.
  - `expires` (date-time, required): Time of invoice expiration.
- `onchain` (object): Onchain receive request.
  - `address` (string, required): Onchain address to be paid to.
  - `addressUri` (string, required): Onchain address URI to be paid to.
  - `requestedAmount` (object): Requested amount.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `btcAmount` (string): Amount in BTC suggested to be paid. This is a requested amount converted to BTC based on the current exchange rate. If the requested amount is already in BTC the values will be the same.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
